{ pkgs, config, ... }: {

    xdg.portal = {
        enable = true;
        extraPortals = [
            pkgs.xdg-desktop-portal-gtk
            pkgs.xdg-desktop-portal-kde
        ];
    };

    environment.systemPackages = with pkgs; [
        pkgs.xdg-desktop-portal-gtk
        pkgs.xdg-desktop-portal-kde
    ];
}
